Affiliates Pro not compatible with PHP 72

Posted in

Affiliates Pro is working fine up to PHP71 but as soon as i activated PHP72 it causes a server 500 error and wp admin and products are no longer accessible

Below there error
~~~~~~~~
12-May-2018 13:38:10 UTC] PHP Fatal error: Declaration of Affiliates_Link_Renderer_WordPress::render_affiliate_link($IXAP24 = Array, $IXAP32 = NULL) must be compatible with Affiliates_Link_Renderer::render_affiliate_link($IXAP24 = Array, $IXAP32 = NULL, $implementation = Array) in /home/asiavirt/public_html/wp-content/plugins/affiliates-pro/lib/ext/wordpress/class-affiliates-link-renderer-wordpress.php on line 0
~~~~~~~~

Hope you can fix it

3 Responses to Affiliates Pro not compatible with PHP 72

  1. Kento May 15, 2018 at 11:28 am #

    Hi Michael,

    Please update to the current version 3.0.1 where this issue was resolved (this was released on February 10th).

    Cheers

  2. Michael May 15, 2018 at 12:18 pm #

    Thank you, i updated and now all is ok.
    I never knew my plugin was outdated, it never showed update available when i did update check. I purchased a renewal and now all is good again.

    Thanks

  3. George May 15, 2018 at 8:52 pm #

    That’s great Michael 馃檪
    Thanks for using our plugins.

    Cheers,
    George

Only authorized members can comment on this topic.

Log in

Share